package redisaccessor

import (
	"fmt"
	"legalgo-BE-go/config"

	"github.com/redis/go-redis/v9"
)

var redisClient *redis.Client

func Get() *redis.Client {
	return redisClient
}

func New(cfg *config.Config) *redis.Client {
	addr := fmt.Sprintf("%s:%s", cfg.Redis.Host, cfg.Redis.Port)

	redisClient = redis.NewClient(&redis.Options{
		Addr:     addr,
		Password: cfg.Redis.Password,
		DB:       cfg.Redis.DB,
	})

	return redisClient
}
